Bug 883637 (CVE-2012-4534) - CVE-2012-4534 Tomcat - Denial Of Service when using NIO+SSL+sendfile
Summary: CVE-2012-4534 Tomcat - Denial Of Service when using NIO+SSL+sendfile
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-4534
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 883690 883691 883692 883693 883694
Blocks: 883674
TreeView+ depends on / blocked
 
Reported: 2012-12-05 03:33 UTC by Arun Babu Neelicattu
Modified: 2019-09-29 12:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-03 06:57:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0265 normal SHIPPED_LIVE Moderate: tomcat6 security update 2013-02-20 01:29:31 UTC
Red Hat Product Errata RHSA-2013:0266 normal SHIPPED_LIVE Moderate: tomcat6 security update 2013-02-20 03:12:56 UTC
Red Hat Product Errata RHSA-2013:0623 normal SHIPPED_LIVE Important: tomcat6 security update 2013-03-11 23:31:54 UTC

Description Arun Babu Neelicattu 2012-12-05 03:33:33 UTC
When using the NIO connector with sendfile and HTTPS enabled, if a client breaks the connection while reading the response an infinite loop is entered leading to a denial of service.

Source: Tomcat security pages. [1,2]

[1] http://tomcat.apache.org/security-6.html
[2] http://tomcat.apache.org/security-7.html

Comment 3 David Jorm 2012-12-05 06:25:38 UTC
Created tomcat6 tracking bugs for this issue

Affects: fedora-all [bug 883690]

Comment 4 David Jorm 2012-12-05 06:25:41 UTC
Created tomcat tracking bugs for this issue

Affects: fedora-16 [bug 883691]

Comment 5 Fedora Update System 2012-12-19 08:29:26 UTC
tomcat-7.0.33-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Jan Lieskovsky 2012-12-19 13:54:24 UTC
Upstream bug report (including reproducer):
  https://issues.apache.org/bugzilla/show_bug.cgi?id=52858

Comment 9 errata-xmlrpc 2013-02-19 20:30:59 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 2.0.0

Via RHSA-2013:0265 https://rhn.redhat.com/errata/RHSA-2013-0265.html

Comment 10 errata-xmlrpc 2013-02-19 22:15:09 UTC
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2013:0266 https://rhn.redhat.com/errata/RHSA-2013-0266.html

Comment 11 errata-xmlrpc 2013-03-11 19:33:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0623 https://rhn.redhat.com/errata/RHSA-2013-0623.html


Note You need to log in before you can comment on or make changes to this bug.